function roads = UR_gen_roads_fixed1
% UR_gen_roads_fixed1 - generate a road way with just two end points
% On inout:
%     N/A
% On output:
%     roads (road struct): describes roads
%       .vertexes (nx2 array): 2D vertexes of roads
%       .edges (kx2 array): edges (as road vertex pairs)
% Call:
%     roads = UR_gen_fixed1;
% Author:
%     T. Henderson
%     UU
%     Summer 2019
%

vertexes = zeros(2,3);
vertexes(1,1:2) = [1,1];
vertexes(2,1:2) = [501,1];

edges(1,:) = [1,2];

roads.vertexes = vertexes;
roads.edges = edges;

tch = 0;
