function UR_run_USS(USS,t)
% UR_run_USS - run a specific USS using its function name
% On input:
%     USS (USS struct): describes USS
%       .name (string): Matlab function name for USS
%     t (float): current time
% On output:
%     N/A
% Call:
%     UR_run_USS(USS_111,23);
% Author:
%     T. Henderson
%     UU
%     Summer 2019
%

num_USS = length(USS);

for u = 1:num_USS
    feval(USS(u).name,t);
end
